Package org.springframework.transaction.annotation

# Class AbstractTransactionManagementConfiguration

java.lang.Object
org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.annotation.ImportAware`

Direct Known Subclasses:
  `ProxyTransactionManagementConfiguration`

@Configuration public abstract class AbstractTransactionManagementConfiguration extends Object implements org.springframework.context.annotation.ImportAware
Abstract base `@Configuration` class providing common structure for enabling Spring's annotation-driven transaction management capability.

Since:
  3.1
Author:
  Chris Beams, Stephane Nicoll, Juergen Hoeller
See Also:
  - `EnableTransactionManagement`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.springframework.core.annotation.AnnotationAttributes`
`enableTx`
`protected TransactionManager`
`txManager`
Default transaction manager, as configured through a `TransactionManagementConfigurer`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractTransactionManagementConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)`
`static TransactionalEventListenerFactory`
`transactionalEventListenerFactory()`
`TransactionAttributeSource`
`transactionAttributeSource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### enableTx

@Nullable protected org.springframework.core.annotation.AnnotationAttributes enableTx

### txManager

@Nullable protected TransactionManager txManager
Default transaction manager, as configured through a `TransactionManagementConfigurer`.

## Constructor Details

### AbstractTransactionManagementConfiguration

public AbstractTransactionManagementConfiguration()

## Method Details

### setImportMetadata

public void setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)

Specified by:
  `setImportMetadata` in interface `org.springframework.context.annotation.ImportAware`

### transactionAttributeSource

@Bean @Role(2) public TransactionAttributeSource transactionAttributeSource()

### transactionalEventListenerFactory

@Bean(name="org.springframework.transaction.config.internalTransactionalEventListenerFactory") @Role(2) public static TransactionalEventListenerFactory transactionalEventListenerFactory()